from visual import *

class Bonds:
    def __init__(self):
        self.box = box(visible=0)
        self.tvBonds = 0

    def setColor(self, color):
        self.box.color = color

    def setBox(self, boxPos, length, width, height):
        self.box = box(pos=boxPos, length=length, width=width, height=height, color=(.7,.7,.7), visible=self.tvBonds)

    def toggleBondVisibility(self):
        self.tvBonds = (self.tvBonds+1)%2
        self.box.visible = self.tvBonds




        
